curl --location --request GET 'https://api.stateset.com/v1/return/retrieve' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
}'
query ($limit: Int!, $offset: Int!, $order_direction: order_by) {
returns(limit: $limit, offset: $offset, order_by: {created_date: $order_direction}) {
id
created_date
amount
action_needed
condition
customerEmail
customer_id
description
enteredBy
flat_rate_shipping
order_date
order_id
reason_category
reported_condition
requested_date
rma
serial_number
shipped_date
status
tax_refunded
total_refunded
tracking_number
return_line_items {
amount
condition
flat_rate_shipping
id
name
price
return_id
serial_number
sku
tax_refunded
}
}
}
const returns = await stateset.returns.retrieve({
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
});
returns = stateset.returns.retrieve({
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
})
returns, err := stateset.Returns.Retrieve(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
)
returns = Stateset::Returns.retrieve(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
)
Returns returns = Stateset.Returns.retrieve(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
);
Returns returns = Stateset.Returns.Retrieve(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
);
$returns = Stateset\Returns::retrieve(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
);
GET /v1/return HTTP/1.1
Host: api.stateset.com
Content-Type: application/json
{
"returns": [
{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
"created_date": "2023-06-28T19:34:59.189838+00:00",
"amount": null,
"action_needed": null,
"condition": null,
"customerEmail": "customer@gmail.com",
"customer_id": null,
"description": null,
"enteredBy": null,
"flat_rate_shipping": null,
"order_date": null,
"order_id": "524213310335630636",
"reason_category": null,
"reported_condition": null,
"requested_date": null,
"rma": "#1014-R5",
"serial_number": null,
"shipped_date": null,
"status": "RCV",
"tax_refunded": null,
"total_refunded": null,
"tracking_number": null,
"return_line_items": []
}
]
}
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Return not found",
"details": {
"resource": "return",
"id": "ret_abc123"
},
"request_id": "req_abc123def456"
}
}
{
"error": {
"code": "INVALID_API_KEY",
"message": "The API key provided is invalid or has been revoked",
"request_id": "req_abc123def456"
}
}
Retrieve Return
This endpoint retrieves a return.
GET
/
v1
/
return
/
{id}
/
retrieve
curl --location --request GET 'https://api.stateset.com/v1/return/retrieve' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
}'
query ($limit: Int!, $offset: Int!, $order_direction: order_by) {
returns(limit: $limit, offset: $offset, order_by: {created_date: $order_direction}) {
id
created_date
amount
action_needed
condition
customerEmail
customer_id
description
enteredBy
flat_rate_shipping
order_date
order_id
reason_category
reported_condition
requested_date
rma
serial_number
shipped_date
status
tax_refunded
total_refunded
tracking_number
return_line_items {
amount
condition
flat_rate_shipping
id
name
price
return_id
serial_number
sku
tax_refunded
}
}
}
const returns = await stateset.returns.retrieve({
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
});
returns = stateset.returns.retrieve({
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
})
returns, err := stateset.Returns.Retrieve(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
)
returns = Stateset::Returns.retrieve(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
)
Returns returns = Stateset.Returns.retrieve(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
);
Returns returns = Stateset.Returns.Retrieve(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
);
$returns = Stateset\Returns::retrieve(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
);
GET /v1/return HTTP/1.1
Host: api.stateset.com
Content-Type: application/json
{
"returns": [
{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
"created_date": "2023-06-28T19:34:59.189838+00:00",
"amount": null,
"action_needed": null,
"condition": null,
"customerEmail": "customer@gmail.com",
"customer_id": null,
"description": null,
"enteredBy": null,
"flat_rate_shipping": null,
"order_date": null,
"order_id": "524213310335630636",
"reason_category": null,
"reported_condition": null,
"requested_date": null,
"rma": "#1014-R5",
"serial_number": null,
"shipped_date": null,
"status": "RCV",
"tax_refunded": null,
"total_refunded": null,
"tracking_number": null,
"return_line_items": []
}
]
}
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Return not found",
"details": {
"resource": "return",
"id": "ret_abc123"
},
"request_id": "req_abc123def456"
}
}
{
"error": {
"code": "INVALID_API_KEY",
"message": "The API key provided is invalid or has been revoked",
"request_id": "req_abc123def456"
}
}
Body
string
This is the id of the return.
Response
string
This is the id of the return.
string
This is the date the return was created.
string
This is the amount of the return.
string
This is the action needed for the return.
string
This is the condition of the return.
string
This is the email of the customer.
string
This is the id of the customer.
string
This is the description of the return.
string
This is the id of the user who entered the return.
string
This is the flat rate shipping of the return.
string
This is the date of the order.
string
This is the id of the order.
string
This is the reason category of the return.
string
This is the reported condition of the return.
string
This is the requested date of the return.
string
This is the rma of the return.
string
This is the serial number of the return.
string
This is the shipped date of the return.
string
This is the status of the return.
string
This is the tax refunded of the return.
string
This is the total refunded of the return.
string
This is the tracking number of the return.
object
This is the line items of the return.
Show Show child attributes
Show Show child attributes
string
This is the id of the return line item.
string
This is the amount of the return line item.
string
This is the condition of the return line item.
string
This is the flat rate shipping of the return line item.
string
This is the name of the return line item.
string
This is the price of the return line item.
string
This is the id of the return associated with the line item.
string
This is the serial number of the return line item.
string
This is the sku of the return line item.
string
This is the tax refunded of the return line item.
curl --location --request GET 'https://api.stateset.com/v1/return/retrieve' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
}'
query ($limit: Int!, $offset: Int!, $order_direction: order_by) {
returns(limit: $limit, offset: $offset, order_by: {created_date: $order_direction}) {
id
created_date
amount
action_needed
condition
customerEmail
customer_id
description
enteredBy
flat_rate_shipping
order_date
order_id
reason_category
reported_condition
requested_date
rma
serial_number
shipped_date
status
tax_refunded
total_refunded
tracking_number
return_line_items {
amount
condition
flat_rate_shipping
id
name
price
return_id
serial_number
sku
tax_refunded
}
}
}
const returns = await stateset.returns.retrieve({
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
});
returns = stateset.returns.retrieve({
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
})
returns, err := stateset.Returns.Retrieve(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
)
returns = Stateset::Returns.retrieve(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
)
Returns returns = Stateset.Returns.retrieve(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
);
Returns returns = Stateset.Returns.Retrieve(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
);
$returns = Stateset\Returns::retrieve(
'rt_1NXWPnCo6bFb1KQto6C8OWvE'
);
GET /v1/return HTTP/1.1
Host: api.stateset.com
Content-Type: application/json
{
"returns": [
{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
"created_date": "2023-06-28T19:34:59.189838+00:00",
"amount": null,
"action_needed": null,
"condition": null,
"customerEmail": "customer@gmail.com",
"customer_id": null,
"description": null,
"enteredBy": null,
"flat_rate_shipping": null,
"order_date": null,
"order_id": "524213310335630636",
"reason_category": null,
"reported_condition": null,
"requested_date": null,
"rma": "#1014-R5",
"serial_number": null,
"shipped_date": null,
"status": "RCV",
"tax_refunded": null,
"total_refunded": null,
"tracking_number": null,
"return_line_items": []
}
]
}
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Return not found",
"details": {
"resource": "return",
"id": "ret_abc123"
},
"request_id": "req_abc123def456"
}
}
{
"error": {
"code": "INVALID_API_KEY",
"message": "The API key provided is invalid or has been revoked",
"request_id": "req_abc123def456"
}
}
āI